<?php

namespace Booktics\Calendar;

use Booktics\Providers\Base_Service_Provider;

class Calendar_Service_Provider extends Base_Service_Provider {
    /**
     * Get services
     *
     * @return array
     */
    public function get_services() {
        return array(
            Calendar_Registry::class,
            Calendar_Manager::class,
        );
    }

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register() {
        parent::register();
        $this->register_calendars();
    }

    /**
     * Register calendar services.
     *
     * @return void
     */
    protected function register_calendars() {
        // Allow other plugins to register their calendar services
        do_action( 'booktics_calendars_register' );
    }
}
